<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion_panel.php
| CVS Version: 1.00
| Author: TWOJA NAZWA
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($settings['userthemes'] == 1 || iADMIN){

if (file_exists(INFUSIONS."theme_switcher_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."theme_switcher_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."theme_switcher_panel/locale/English.php";
}

if (isset($_POST['theme_switcher'])){
	$theme_switcher = THEME_SWITCHER;
	if (isset($_POST['next_theme'])){
		$theme_key = array_search(THEME_SWITCHER, $tsp_themes);
		if (isset($tsp_themes[$theme_key+1])){
			$theme_switcher = $tsp_themes[$theme_key+1];
		}
	} elseif (isset($_POST['previous_theme'])){
		$theme_key = array_search(THEME_SWITCHER, $tsp_themes);
		if (isset($tsp_themes[$theme_key-1])){
			$theme_switcher = $tsp_themes[$theme_key-1];
		}
	} elseif (in_array($_POST['theme_switcher'], $tsp_themes)){
		$theme_switcher = $_POST['theme_switcher'];
	}
	
	if (iGUEST){
		if ($theme_switcher == "Default"){
			setcookie(COOKIE_PREFIX."theme_switcher", "", time() - 7200, "/", "", "0");
		} else {
			setcookie(COOKIE_PREFIX."theme_switcher", $theme_switcher, time() + 3600*24*30, "/", "", "0");
		}
	} else {
		dbquery("UPDATE ".DB_USERS." SET user_theme='".$theme_switcher."' WHERE user_id='".$userdata['user_id']."'");
	}
	redirect(FUSION_REQUEST);
}

openside(iGUEST ? $locale['tsp100'] : $locale['tsp101']);
echo "<form name='theme_switcher' action='".FUSION_REQUEST."' method='post'>
<table cellpadding='0' cellspacing='1' width='100%'>
<tr><td colspan='2'><select name='theme_switcher' class='textbox' style='width:100%' onChange='this.form.submit()'>\n";
$theme_prev = false; $theme_next = false; $not_selected = true;
foreach($tsp_themes as $theme_key=>$theme_name){
	if (THEME_SWITCHER==$theme_name && $not_selected){
		$sel = " selected='selected'";
		if (isset($tsp_themes[$theme_key-1])) $theme_prev = true;
		if (isset($tsp_themes[$theme_key+1])) $theme_next = true;
		$not_selected = false;
	} else {
		$sel = "";
	}
	echo "<option".$sel.">".$theme_name."</option>\n";
}
echo "</select></td></tr>
<tr><td colspan='2' id='theme_switcher_button'><input type='submit' class='button' value='".$locale['tsp102']."' title='".$locale['tsp102']."' style='width:100%' /></td></tr>\n";
if ($theme_prev || $theme_next){
	echo "<tr>
<td width='50%'>".($theme_prev ? "<input type='submit' class='button' name='previous_theme' value='&laquo;' title='".$locale['tsp103']."' style='width:100%' />" : "")."</td>
<td width='50%'>".($theme_next ? "<input type='submit' class='button' name='next_theme' value='&raquo;' title='".$locale['tsp104']."' style='width:100%' />" : "")."</td>
</tr>";
}
echo "</table>
</form>
<script type='text/javascript' language='JavaScript'>$('#theme_switcher_button').hide();</script>\n";

closeside();

}
?>